Bug 880231 - CCS should check existence before editing
CCS should check existence before editing
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: condor-wallaby-tools (Show other bugs)
Development
Unspecified Unspecified
low Severity low
: 2.3
: ---
Assigned To: Robert Rati
Lubos Trilety
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-26 09:43 EST by Lubos Trilety
Modified: 2013-03-19 12:40 EDT (History)
3 users (show)

See Also:
Fixed In Version: condor-wallaby-tools-5.0.5-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-19 12:40:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lubos Trilety 2012-11-26 09:43:38 EST
Description of problem:
When user tries to add a new object with already taken name to the store, condor-configure-store first wants to edit attributes of the object and then it fails. Better is to first check the name if it's not taken and after that edit the object. That is how condor-configure-store behaves in previous version of condor-wallaby-tools.


Version-Release number of selected component (if applicable):
condor-wallaby-tools-5.0.3-2.

How reproducible:
100%

Steps to Reproduce:
1. e.g. create some feature
# ccs -a -f Feat
:wq
Console Connection Established...
Adding the following feature: Feat
2. try to add that feature again
# ccs -a -f Feat
:wq
Console Connection Established...
Adding the following feature: Feat
Couldn't create feature Feat (Feature name Feat is already taken)
fatal:  AddFeature returned non-zero

  
Actual results:
The tool need set of object attributes even when the object name is already taken

Expected results:
The object creation is rejected before the editing of object

Additional info:
Comment 2 Robert Rati 2012-12-12 14:14:47 EST
Fixed upstream on:
BZ880231-check-before-edit
Comment 4 Lubos Trilety 2013-01-10 08:15:54 EST
Tested with:
condor-wallaby-tools-5.0.5-1

Tested on:
RHEL6 i386,x86_64
RHEL5 i386,x86_64

# ccs -a -f Feat
Console Connection Established...
Adding the following feature: Feat with {}
Modifying the following feature: Feat with {:annotation=>""}

# ccs -a -f Feat
Console Connection Established...
fatal:  Feature(s) Feat already exist

>>> verified

Note You need to log in before you can comment on or make changes to this bug.